caoss.simulator.os.scheduling

## Class SchedulingState

- java.lang.Object
- - caoss.simulator.os.scheduling.SchedulingState

-     public class SchedulingState
      extends java.lang.Object

  Scheduling state information to be stored in each Process Control Block Specially designed for Multi-Level Feedback Queue algorithms
  Author:
    Herve Paulino

- - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getLevel()` Retrieve the priority level currently assigned to the process
    `int` | `getQuota()` Retrieve the quota (or allotment) currently assigned to the process
    `long` | `getSchedulingTime()` Retrieve the instant when the process was last scheduled
    `void` | `setLevel(int level)` Set the priority level assigned to the process
    `void` | `setQuota(int quota)` Set the quota (or allotment) to assign to the process
    `void` | `setSchedulingTime(long time)` Set the instant when the process was last scheduled

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### getQuota

          public int getQuota()

      Retrieve the quota (or allotment) currently assigned to the process
      Returns:
        The quota

    - #### setQuota

          public void setQuota(int quota)

      Set the quota (or allotment) to assign to the process
      Parameters:
        `quota` - The quota

    - #### getLevel

          public int getLevel()

      Retrieve the priority level currently assigned to the process
      Returns:
        The priority level

    - #### setLevel

          public void setLevel(int level)

      Set the priority level assigned to the process
      Parameters:
        `level` - The priority level

    - #### getSchedulingTime

          public long getSchedulingTime()

      Retrieve the instant when the process was last scheduled
      Returns:
        The instant

    - #### setSchedulingTime

          public void setSchedulingTime(long time)

      Set the instant when the process was last scheduled
      Parameters:
        `time` - The instant